DrillSidewaysFacetOrchestrator (Lucene 10.5.1 sandbox API)
Description: declaration: package: org.apache.lucene.sandbox.facet.utils, class: DrillSidewaysFacetOrchestrator

Package org.apache.lucene.sandbox.facet.utils

# Class DrillSidewaysFacetOrchestrator

java.lang.Object
org.apache.lucene.sandbox.facet.utils.DrillSidewaysFacetOrchestrator

public final class DrillSidewaysFacetOrchestrator extends Object
Utility class to orchestrate `FacetBuilder`s to collect facets using `DrillSideways`.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DrillSidewaysFacetOrchestrator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DrillSidewaysFacetOrchestrator`
  `addDrillDownBuilder(FacetBuilder facetBuilder)`
  `DrillSidewaysFacetOrchestrator`
  `addDrillSidewaysBuilder(String dim, FacetBuilder facetBuilder)`
  `void`
  `collect(DrillDownQuery query, DrillSideways drillSideways)`
  `<T> T`
  `collect(DrillDownQuery query, DrillSideways drillSideways, CollectorManager<? extends Collector,T> mainCollector)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DrillSidewaysFacetOrchestrator

    public DrillSidewaysFacetOrchestrator()

- ## Method Details

  - ### addDrillSidewaysBuilder

    public DrillSidewaysFacetOrchestrator addDrillSidewaysBuilder(String dim, FacetBuilder facetBuilder)

  - ### addDrillDownBuilder

    public DrillSidewaysFacetOrchestrator addDrillDownBuilder(FacetBuilder facetBuilder)

  - ### collect

    public void collect(DrillDownQuery query, DrillSideways drillSideways) throws IOException
    Throws:
      `IOException`

  - ### collect

    public <T> T collect(DrillDownQuery query, DrillSideways drillSideways, CollectorManager<? extends Collector,T> mainCollector) throws IOException
    Throws:
      `IOException`